GETPlayer by ID
Player profile with biography, current team, market value, leagues and roles by season.
/v2.2/players/ with t=info
Try it in the interactive referenceAll Players operations
Request
GET /v2.2/players/?user=USER&token=TOKEN&t=info&id=11306- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
id | yes | Player ID. | 11306 |
Example response
{
"data": {
"id": 11306,
"team_id": 5,
"national_team_id": null,
"name": "Adam Smith",
"common_name": "Smith",
"position": "D",
"firstname": "Adam",
"lastname": "Smith",
"birthday": "1991-04-29",
"birthcountry": null,
"birthplace": null,
"shirtnumber": 15,
"weight": 78,
"height": 180,
"age": 35,
"foot": "Right",
"img": "https://cdn.soccersapi.com/images/soccer/players/50/11306.png",
"market_value": "$5.500000",
"country": {
"id": 3,
"name": "England",
"cc": "en"
},
"leagues": [
{
"id": 583,
"name": "Premier League",
"is_cup": false,
"is_amateur": false,
"is_friendly": false,
"seasons": [
{
"id": 21033,
"name": "26/27",
"is_current": 1
}
]
}
],
"roles": [
{
"team": {
"id": 5,
"name": "Bournemouth",
"is_national": 0
},
"is_current": true,
"role": "player",
"start": null,
"end": null,
"shirt": 15
}
]
},
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"msg": ""
}
}